# Attacker 攻击器

## 基本

一个攻击器包含多种攻击手段。

## 属性

- **attackerInfos** : array

    持有多个 attackerInfo。

- **attackerInfo** : AttackerInfo

    当前 attackerInfo。

## 配置

```json
"attacker": {
    "attackerInfos": [
        {
            "name": "normalAttack",
            "bullet": "67484ab6-272a-066e-35c3-283486f419e1"
        }
    ],
    "attackerInfo": "normalAttack"
}
```
其中 bullet 是指定一个 gameobject。

## 命令

命令格式如下：

```js
gobj1.command={
    type:'attack',
    current:'',
    targets:[]
};
```
current 是指定当前 AttackInfo 的名字。