# TrailSystem 拖尾系统

拖尾系统采用粒子系统完成，THREE.Points 可以通过几何体生成粒子集合，每次发射的粒子都“紧跟”几何体当前位置，随着时间慢慢消失，先出生的粒子先消失，就产生了拖尾效果。

## 属性

- **target** : GameObject|THREE.Mesh|THREE.Geometry

    对应的几何体。

- **lifetime** : float
  
    生命周期长度，默认 1 秒。

- **count** : int

    粒子数量，默认为 100 个。

- **shape** : string

    粒子形状，默认为几何体的样子 clone，也可以是直线 line。

## 命令

给命令就可以直接发射粒子。

```js
gobj1.command = {
    type: 'tsys'
};
```