# Box

## 基本

Box 是一个容器，孩子都采用绝对定位方式。

## 属性

- **backgroundColor** : string

    背景色，默认是透明的。

    注意，继承 Box 的元素如果需要背景图，背景色一定不能是透明的，否则显示不出来。

- **overflow** : string

    溢出处理，可以为：stretch|hidden|scroll。

    - stretch：父亲的大小是所有孩子的大小总和。
    - hidden：溢出直接隐藏，不可以滚动。
    - scroll：溢出直接隐藏，但可以滚动。

    设定之后，水平溢出和垂直溢出处理方式都会取本属性的值。

- **overflowX** : string

    水平溢出处理。取值见 overflow。

- **overflowY** : string

    垂直溢出处理。取值见 overflow。

## 方法

- **stretch**() : void

    依据所有孩子的大小拉伸容器大小，深度递归方式。

    注：Box 不会拉伸，只有 HBox/VBox 会拉伸。