# Effector 特效器

采用粒子系统、UV 动画来完成。

一个特效器包含多个 EffectorInfo，每个 EffectorInfo 可以包含多个效果。

## EffectorInfo

### 基本

指每个特效。但某个特效可能是由多个粒子动画构成的，为了好完成一个特效，每个特效里面可以指定多个效果。

### 属性

- **subType** : string

    子类型，可以为 particle|plane，默认前者。

- **planes** : array

    Plane 面板，包含多个 GameObject。

    每个 Plane 都带一个 Actionor，且它的 entry->default 对应的条件是 isPlaying==true 。

    在传递给构造函数的时候，可以传递 uuid 。

- **particles** : array

    粒子组，包含一个或多个 SPE.Group，每个 Group 包含一个或多个 SPE.Emitter 。

    在传递给构造函数的时候，用每一个 Group 的 emitters 成员来指定对应的 SPE.Emitter 。

- **targets** : array

    目标。

- **isPlaying** : boolean

    是否播放。

### 方法

无。

## 命令

```js
gobj.command = {
    type:'effect',
    subType:'plane',
    targets:[gobj2],
}
```