# Inputor

## 基本

由 GM 持有，访问方式：`GM.inputor`。

此类构建了鼠标、键盘的交互。

更多内容请参见 [GBeCool 鼠标键盘交互.md](../tutorials/GBeCool&#32;鼠标键盘交互.md)

## 属性

- **gizmos** : bool

    是否显示交叠参考线，默认 false。

## 方法

- **pressed**(keyDesc : string) : bool

    判断按下了哪个键，如：`GM.inputor.pressed('shift+a')`

## 事件

- **click**
  
  点击事件。事件参数 请参见 [GBeCool 鼠标键盘交互.md](../tutorials/GBeCool&#32;鼠标键盘交互.md)

- **dbclick**

    双击事件。事件参数与 click 一致。

- **down**

    按下事件。事件参数与 click 一致。

- **up**

    弹起事件。事件参数与 click 一致。

- **move**

    移动事件。事件参数与 click 一致。

- **keypress**

    键盘输入事件。参见 pressed 方法。

## 示例

无。

