# Particles

粒子系统，包含了常见的粒子特效。

## candle

蜡烛火焰。参数如下：

```js
{ 
    positionStyle  : Type.SPHERE,
    positionBase   : new THREE.Vector3( 0, 50, 0 ),
    positionRadius : 2,
    
    velocityStyle  : Type.CUBE,
    velocityBase   : new THREE.Vector3(0,100,0),
    velocitySpread : new THREE.Vector3(20,0,20),
    
    particleTexture : THREE.ImageUtils.loadTexture( '/libs/assets/textures/smokeparticle.png' ),
    
    sizeTween    : new Tween( [0, 0.3, 1.2], [20, 150, 1] ),
    opacityTween : new Tween( [0.9, 1.5], [1, 0] ),
    colorTween   : new Tween( [0.5, 1.0], [ new THREE.Vector3(0.02, 1, 0.5), new THREE.Vector3(0.05, 1, 0) ] ),
    blendStyle : THREE.AdditiveBlending,  
    
    particlesPerSecond : 60,
    particleDeathAge   : 1.5,		
    emitterDeathAge    : 60
}
```